Update deployment by UUID
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/catalog/{tagOrId}/deploys/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"customData": {},
"deployer": {
"email": "<string>",
"name": "<string>"
},
"environment": "<string>",
"sha": "<string>",
"url": "<string>"
}
'import requests
url = "https://api.getcortexapp.com/api/v1/catalog/{tagOrId}/deploys/{uuid}"
payload = {
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"customData": {},
"deployer": {
"email": "<string>",
"name": "<string>"
},
"environment": "<string>",
"sha": "<string>",
"url": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
timestamp: '2023-11-07T05:31:56Z',
title: '<string>',
customData: {},
deployer: {email: '<string>', name: '<string>'},
environment: '<string>',
sha: '<string>',
url: '<string>'
})
};
fetch('https://api.getcortexapp.com/api/v1/catalog/{tagOrId}/deploys/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceId": 123,
"timestamp": "2023-11-07T05:31:56Z",
"title": "<string>",
"type": "DEPLOY",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customData": {},
"deployerEmail": "<string>",
"deployerName": "<string>",
"environment": "<string>",
"id": 123,
"sha": "<string>",
"url": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update deployment by UUID
PUT
/
api
/
v1
/
catalog
/
{tagOrId}
/
deploys
/
{uuid}
Update deployment by UUID
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Path Parameters
The tag (x-cortex-tag) or unique, auto-generated identifier (CID) for the entity. If the tag contains forward slashes, URL-encode each / as %2F. The tag is matched exactly as encoded, including leading, trailing, and consecutive slashes, which are preserved and not collapsed (for example, the tag /services/payments-api is referenced as %2Fservices%2Fpayments-api). Tags containing slashes are supported via the API but not in the Cortex UI; this difference is expected.
Entity identifier - can be a tag or CID
Body
application/json
Response
Successfully updated deployment
Available options:
DEPLOY, SCALE, ROLLBACK, RESTART Show child attributes
Show child attributes
Last modified on September 29, 2026